Get Bgp Neighbor Status

Get Bgp Neighbor Status

Retrieves status of a specific BGP neighbor configured on a Provider Gateway.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}/status
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
neighborId
Required

neighborId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NetworkingObjectStatus of type(s) application/json;version=39.1
{
    "status": {}
}
object
status
Optional

Represents status type of a networking entity.

  • PENDING - Desired entity configuration has been received by system and is pending realization.
  • CONFIGURING - The system is in process of realizing the entity.
  • REALIZED - The entity is successfully realized in the system.
  • REALIZATION_FAILED - There are some issues and the system is not able to realize the entity.
  • UNKNOWN - Current state of entity is unknown.
Possible values are : PENDING, CONFIGURING, REALIZED, REALIZATION_FAILED, UNKNOWN,

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/neighbors/{neighborId}/status